Bug 282025 - Brasero Problem
Summary: Brasero Problem
Status: RESOLVED DUPLICATE of bug 258706
Alias: None
Product: plasma4
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
: 283520 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-09-14 16:03 UTC by Christopher Lawrence
Modified: 2011-10-07 09:29 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Lawrence 2011-09-14 16:03:40 UTC
Application: plasma-desktop (0.4)
KDE Platform Version: 4.6.2 (4.6.2)
Qt Version: 4.7.2
Operating System: Linux 2.6.38-11-generic i686
Distribution: Ubuntu 11.04

-- Information about the crash:
- What I was doing when the application crashed:I was trying to burn a video DVD.  Brasero loads up just fine, but it locks up once it starts converting a video file to MPEG2 format.  This was not a problem a few days ago.  

- Unusual behavior I noticed:

-- Backtrace:
Application: Plasma Desktop Shell (plasma-desktop), signal: Segmentation fault
[Current thread is 1 (Thread 0xb77f8ad0 (LWP 8937))]

Thread 4 (Thread 0xafb2fb70 (LWP 8944)):
#0  0x00d8ed41 in clock_gettime () from /lib/i386-linux-gnu/librt.so.1
#1  0x0142edd8 in do_gettime () at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0x014fb4f2 in updateCurrentTime (this=0x8da111c, tm=...) at kernel/qeventdispatcher_unix.cpp:339
#4  QTimerInfoList::timerWait (this=0x8da111c, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x014f9d32 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xafb2f0cc) at kernel/qeventdispatcher_glib.cpp:136
#6  0x014f9dcd in timerSourcePrepare (source=0x8da10e8, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0x01dbffd4 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0x01dc0e63 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0x01dc1524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0x014fa577 in QEventDispatcherGlib::processEvents (this=0x8d9dc50, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#11 0x014cc289 in QEventLoop::processEvents (this=0xafb2f280, flags=...) at kernel/qeventloop.cpp:149
#12 0x014cc522 in QEventLoop::exec (this=0xafb2f280, flags=...) at kernel/qeventloop.cpp:201
#13 0x013d62a0 in QThread::exec (this=0x8d9cc68) at thread/qthread.cpp:492
#14 0x014adfdb in QInotifyFileSystemWatcherEngine::run (this=0x8d9cc68) at io/qfilesystemwatcher_inotify.cpp:248
#15 0x013d8da2 in QThreadPrivate::start (arg=0x8d9cc68) at thread/qthread_unix.cpp:320
#16 0x03e6be99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#17 0x00e6973e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 3 (Thread 0xae3a7b70 (LWP 8945)):
#0  0x00d8ed41 in clock_gettime () from /lib/i386-linux-gnu/librt.so.1
#1  0x0142edd8 in do_gettime () at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0x014fb4f2 in updateCurrentTime (this=0xaf201ab4, tm=...) at kernel/qeventdispatcher_unix.cpp:339
#4  QTimerInfoList::timerWait (this=0xaf201ab4, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x014f9d32 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xae3a70cc) at kernel/qeventdispatcher_glib.cpp:136
#6  0x014f9dcd in timerSourcePrepare (source=0xaf201a80, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0x01dbffd4 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0x01dc0e63 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0x01dc1524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0x014fa577 in QEventDispatcherGlib::processEvents (this=0x8e175e0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#11 0x014cc289 in QEventLoop::processEvents (this=0xae3a7280, flags=...) at kernel/qeventloop.cpp:149
#12 0x014cc522 in QEventLoop::exec (this=0xae3a7280, flags=...) at kernel/qeventloop.cpp:201
#13 0x013d62a0 in QThread::exec (this=0x8e27358) at thread/qthread.cpp:492
#14 0x014adfdb in QInotifyFileSystemWatcherEngine::run (this=0x8e27358) at io/qfilesystemwatcher_inotify.cpp:248
#15 0x013d8da2 in QThreadPrivate::start (arg=0x8e27358) at thread/qthread_unix.cpp:320
#16 0x03e6be99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#17 0x00e6973e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 2 (Thread 0xacba4b70 (LWP 8953)):
#0  0x005d8416 in __kernel_vsyscall ()
#1  0x00e5af76 in poll () from /lib/i386-linux-gnu/libc.so.6
#2  0x01dd184b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x01dc11af in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0x01dc192b in g_main_loop_run () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0x02df5304 in ?? () from /usr/lib/i386-linux-gnu/libgio-2.0.so.0
#6  0x01dea2df in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0x03e6be99 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#8  0x00e6973e in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 1 (Thread 0xb77f8ad0 (LWP 8937)):
[KCrash Handler]
#7  0x01150454 in QString (this=0x9a40061, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:728
#8  KIconEffect::fingerprint (this=0x9a40061, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#9  0x01156352 in KIconLoaderPrivate::makeCacheKey (this=0x9a4004d, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#10 0x0115d398 in KIconLoader::loadIcon (this=0x96e2148, _name=..., group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#11 0x01154d76 in KIconEngine::pixmap (this=0x9759038, size=..., mode=QIcon::Normal, state=QIcon::Off) at ../../kdeui/icons/kiconengine.cpp:93
#12 0x04278712 in QIcon::pixmap (this=0x99dda54, size=..., mode=QIcon::Normal, state=QIcon::Off) at image/qicon.cpp:676
#13 0x00b85969 in Plasma::IconWidgetPrivate::decoration (this=0x99dd9b0, option=0x8684640, useHoverEffect=false, usePressedEffect=false) at ../../plasma/widgets/iconwidget.cpp:812
#14 0x00b8c21d in Plasma::IconWidget::paint (this=0x8e97240, painter=0xbf97dbcc, option=0x8684640, widget=0x0) at ../../plasma/widgets/iconwidget.cpp:1128
#15 0x028220dd in ?? () from /usr/lib/kde4/plasma_applet_systemtray.so
#16 0x0482147c in _q_paintItem (item=<value optimized out>, painter=0x8684640, option=0x8684640, widget=0x0, useWindowOpacity=false, painterStateProtection=true) at graphicsview/qgraphicsscene.cpp:4314
#17 0x04821782 in _q_paintIntoCache (pix=0xbf97e09c, item=0x8e97248, pixmapExposed=..., itemToPixmap=..., renderHints=..., option=0x8684640, painterStateProtection=true) at graphicsview/qgraphicsscene.cpp:4352
#18 0x04835490 in QGraphicsScenePrivate::drawItemHelper (this=0x86844f0, item=0x8e97248, painter=0xbf97f884, option=0x8684640, widget=0x9322060, painterStateProtection=true) at graphicsview/qgraphicsscene.cpp:4690
#19 0x04836152 in QGraphicsScenePrivate::draw (this=0x86844f0, item=0x8e97248, painter=0xbf97f884, viewTransform=0xbf97f66c, transformPtr=0xbf97e480, exposedRegion=0x9320b40, widget=0x9322060, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4962
#20 0x04836e92 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x86844f0, item=0x8e97248, painter=0xbf97f884, viewTransform=0xbf97f66c, exposedRegion=0x9320b40, widget=0x9322060, parentOpacity=1, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#21 0x04835f7c in QGraphicsScenePrivate::draw (this=0x86844f0, item=0x868ba90, painter=0xbf97f884, viewTransform=0xbf97f66c, transformPtr=0xbf97e920, exposedRegion=0x9320b40, widget=0x9322060, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4979
#22 0x04836e92 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x86844f0, item=0x868ba90, painter=0xbf97f884, viewTransform=0xbf97f66c, exposedRegion=0x9320b40, widget=0x9322060, parentOpacity=1, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#23 0x04835f7c in QGraphicsScenePrivate::draw (this=0x86844f0, item=0x883d5f0, painter=0xbf97f884, viewTransform=0xbf97f66c, transformPtr=0xbf97edc0, exposedRegion=0x9320b40, widget=0x9322060, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4979
#24 0x04836e92 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x86844f0, item=0x883d5f0, painter=0xbf97f884, viewTransform=0xbf97f66c, exposedRegion=0x9320b40, widget=0x9322060, parentOpacity=1, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#25 0x04835f7c in QGraphicsScenePrivate::draw (this=0x86844f0, item=0x873e648, painter=0xbf97f884, viewTransform=0xbf97f66c, transformPtr=0xbf97f260, exposedRegion=0x9320b40, widget=0x9322060, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4979
#26 0x04836e92 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x86844f0, item=0x873e648, painter=0xbf97f884, viewTransform=0xbf97f66c, exposedRegion=0x9320b40, widget=0x9322060, parentOpacity=1, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4853
#27 0x04837696 in QGraphicsScenePrivate::drawItems (this=0x86844f0, painter=0xbf97f884, viewTransform=0xbf97f66c, exposedRegion=0x9320b40, widget=0x9322060) at graphicsview/qgraphicsscene.cpp:4735
#28 0x04856931 in QGraphicsView::paintEvent (this=0x9325418, event=0xbf97ff94) at graphicsview/qgraphicsview.cpp:3469
#29 0x00591484 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_plasma-desktop.so
#30 0x0421818e in QWidget::event (this=0x9325418, event=0xbf97ff94) at kernel/qwidget.cpp:8405
#31 0x0460c9f3 in QFrame::event (this=0x9325418, e=0xbf97ff94) at widgets/qframe.cpp:557
#32 0x0469b062 in QAbstractScrollArea::viewportEvent (this=0x9325418, e=0xbf97ff94) at widgets/qabstractscrollarea.cpp:1043
#33 0x04857dff in QGraphicsView::viewportEvent (this=0x9325418, event=0xbf97ff94) at graphicsview/qgraphicsview.cpp:2864
#34 0x0469d965 in viewportEvent (this=0x8b9f048, o=0x9322060, e=0xbf97ff94) at widgets/qabstractscrollarea_p.h:100
#35 QAbstractScrollAreaFilter::eventFilter (this=0x8b9f048, o=0x9322060, e=0xbf97ff94) at widgets/qabstractscrollarea_p.h:116
#36 0x014cd25a in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x8685b50, receiver=0x9322060, event=0xbf97ff94) at kernel/qcoreapplication.cpp:846
#37 0x041bfd00 in QApplicationPrivate::notify_helper (this=0x8685b50, receiver=0x9322060, e=0xbf97ff94) at kernel/qapplication.cpp:4458
#38 0x041c497b in QApplication::notify (this=0x867a6f0, receiver=0x9322060, e=0xbf97ff94) at kernel/qapplication.cpp:4427
#39 0x011af3ca in KApplication::notify (this=0x867a6f0, receiver=0x9322060, event=0xbf97ff94) at ../../kdeui/kernel/kapplication.cpp:311
#40 0x014cd0bb in QCoreApplication::notifyInternal (this=0x867a6f0, receiver=0x9322060, event=0xbf97ff94) at kernel/qcoreapplication.cpp:731
#41 0x04214f0c in sendSpontaneousEvent (this=0x9322078, pdev=0x8dda664, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8f2a468) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#42 QWidgetPrivate::drawWidget (this=0x9322078, pdev=0x8dda664, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8f2a468) at kernel/qwidget.cpp:5492
#43 0x04215b7c in QWidgetPrivate::paintSiblingsRecursive (this=0x93207f0, pdev=0x8dda664, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8f2a468) at kernel/qwidget.cpp:5699
#44 0x04215a42 in QWidgetPrivate::paintSiblingsRecursive (this=0x93207f0, pdev=0x8dda664, siblings=..., index=4, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8f2a468) at kernel/qwidget.cpp:5686
#45 0x04215a42 in QWidgetPrivate::paintSiblingsRecursive (this=0x93207f0, pdev=0x8dda664, siblings=..., index=5, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8f2a468) at kernel/qwidget.cpp:5686
#46 0x04214c80 in QWidgetPrivate::drawWidget (this=0x93207f0, pdev=0x8dda664, rgn=..., offset=..., flags=5, sharedPainter=0x0, backingStore=0x8f2a468) at kernel/qwidget.cpp:5545
#47 0x043f3398 in QWidgetBackingStore::sync (this=0x8f2a468) at painting/qbackingstore.cpp:1333
#48 0x0420a843 in QWidgetPrivate::syncBackingStore (this=0x93207f0) at kernel/qwidget.cpp:1842
#49 0x042187e5 in QWidget::event (this=0x9325418, event=0x96e2148) at kernel/qwidget.cpp:8552
#50 0x0460c9f3 in QFrame::event (this=0x9325418, e=0x96e2148) at widgets/qframe.cpp:557
#51 0x0469cdcf in QAbstractScrollArea::event (this=0x9325418, e=0x96e2148) at widgets/qabstractscrollarea.cpp:996
#52 0x0484b116 in QGraphicsView::event (this=0x9325418, event=0x96e2148) at graphicsview/qgraphicsview.cpp:2741
#53 0x005917c3 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_plasma-desktop.so
#54 0x041bfd24 in QApplicationPrivate::notify_helper (this=0x8685b50, receiver=0x9325418, e=0x96e2148) at kernel/qapplication.cpp:4462
#55 0x041c497b in QApplication::notify (this=0x867a6f0, receiver=0x9325418, e=0x96e2148) at kernel/qapplication.cpp:4427
#56 0x011af3ca in KApplication::notify (this=0x867a6f0, receiver=0x9325418, event=0x96e2148) at ../../kdeui/kernel/kapplication.cpp:311
#57 0x014cd0bb in QCoreApplication::notifyInternal (this=0x867a6f0, receiver=0x9325418, event=0x96e2148) at kernel/qcoreapplication.cpp:731
#58 0x014d0c79 in sendEvent (receiver=0x9325418, event_type=77, data=0x862df50) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#59 QCoreApplicationPrivate::sendPostedEvents (receiver=0x9325418, event_type=77, data=0x862df50) at kernel/qcoreapplication.cpp:1372
#60 0x014d0e0d in QCoreApplication::sendPostedEvents (receiver=0x9325418, event_type=77) at kernel/qcoreapplication.cpp:1265
#61 0x0482dc46 in dispatchPendingUpdateRequests (this=0x86844f0) at ../../include/QtGui/private/../../../src/gui/graphicsview/qgraphicsview_p.h:189
#62 QGraphicsScenePrivate::_q_processDirtyItems (this=0x86844f0) at graphicsview/qgraphicsscene.cpp:510
#63 0x0482e026 in QGraphicsScene::qt_metacall (this=0x8722228, _c=QMetaObject::InvokeMetaMethod, _id=14, _a=0x96e17d8) at .moc/release-shared/moc_qgraphicsscene.cpp:130
#64 0x00ac8a9a in Plasma::Corona::qt_metacall (this=0x8722228, _c=QMetaObject::InvokeMetaMethod, _id=18, _a=0x96e17d8) at ./corona.moc:109
#65 0x0058420a in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_plasma-desktop.so
#66 0x014d36ba in QMetaObject::metacall (object=0x8722228, cl=QMetaObject::InvokeMetaMethod, idx=18, argv=0x96e17d8) at kernel/qmetaobject.cpp:237
#67 0x014dde16 in QMetaCallEvent::placeMetaCall (this=0x9a39f60, object=0x8722228) at kernel/qobject.cpp:535
#68 0x014e23b7 in QObject::event (this=0x8722228, e=0x9a39f60) at kernel/qobject.cpp:1226
#69 0x0483ae44 in QGraphicsScene::event (this=0x8722228, event=0x9a39f60) at graphicsview/qgraphicsscene.cpp:3544
#70 0x041bfd24 in QApplicationPrivate::notify_helper (this=0x8685b50, receiver=0x8722228, e=0x9a39f60) at kernel/qapplication.cpp:4462
#71 0x041c48ce in QApplication::notify (this=0x867a6f0, receiver=0x8722228, e=0x9a39f60) at kernel/qapplication.cpp:3862
#72 0x011af3ca in KApplication::notify (this=0x867a6f0, receiver=0x8722228, event=0x9a39f60) at ../../kdeui/kernel/kapplication.cpp:311
#73 0x014cd0bb in QCoreApplication::notifyInternal (this=0x867a6f0, receiver=0x8722228, event=0x9a39f60) at kernel/qcoreapplication.cpp:731
#74 0x014d0c79 in sendEvent (receiver=0x0, event_type=0, data=0x862df50) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#75 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x862df50) at kernel/qcoreapplication.cpp:1372
#76 0x014d0e0d in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1265
#77 0x014fa3c4 in sendPostedEvents (s=0x8688db8) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#78 postEventSourceDispatch (s=0x8688db8) at kernel/qeventdispatcher_glib.cpp:277
#79 0x01dc0aa8 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#80 0x01dc1270 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#81 0x01dc1524 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#82 0x014fa53c in QEventDispatcherGlib::processEvents (this=0x862daa8, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#83 0x042761e5 in QGuiEventDispatcherGlib::processEvents (this=0x862daa8, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#84 0x014cc289 in QEventLoop::processEvents (this=0xbf981a04, flags=...) at kernel/qeventloop.cpp:149
#85 0x014cc522 in QEventLoop::exec (this=0xbf981a04, flags=...) at kernel/qeventloop.cpp:201
#86 0x014d0ecc in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#87 0x041bd8e7 in QApplication::exec () at kernel/qapplication.cpp:3736
#88 0x0058b5a5 in kdemain () from /usr/lib/kde4/libkdeinit/libkdeinit4_plasma-desktop.so
#89 0x080485cb in _start ()

Possible duplicates by query: bug 281847, bug 281589, bug 281219, bug 281050, bug 280903.

Reported using DrKonqi
Comment 1 Dario Andres 2011-09-28 23:11:06 UTC
[Comment from a bug triager]
The bug is fixed since KDE SC 4.6.4. The issue was being tracked at bug 258706, merging.
Thanks

*** This bug has been marked as a duplicate of bug 258706 ***
Comment 2 Christoph Feck 2011-10-07 09:29:46 UTC
*** Bug 283520 has been marked as a duplicate of this bug. ***